Show / Hide Table of Contents

# Struct CharacterManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct CharacterManager

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3A", 0, false)]
    public static CharacterManager*Instance()

##### Returns

Type | Description
--- | ---
CharacterManager* |

| Improve this Doc View Source

#### LookupBattleCharaByObjectId(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 85 C0 74 55 49 63 8E")]
    public BattleChara*LookupBattleCharaByObjectId(int objectId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | objectId |

##### Returns

Type | Description
--- | ---
BattleChara* |